Skip to main content
GET
Get Chat Files

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

chat_id
string
required

Chat ID

Query Parameters

Search files by filename

Maximum string length: 256
Example:

"document.pdf"

mimetype
string

Filter by MIME type (prefix match)

Example:

"image/"

page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

Response

200 - application/json
id
string
required

Unique identifier for the file

file_path
string
required

Path to the file in the storage system

Maximum string length: 2048
file_filename
string
required

Name of the file

Maximum string length: 255
Example:

"document.pdf"

file_size
number
required

Size of the file in bytes

Example:

1024

file_mimetype
string
required

MIME type of the file

Maximum string length: 255
Example:

"application/pdf"

file_url
string
required

URL to access the file

Maximum string length: 2048
created_at
string<date-time> | null
required

Timestamp when the file was created